Update Asset Status
curl --request PUT \
--url https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenantId: <tenantid>' \
--data '
{
"instance": "",
"allowedOperations": "",
"purpose": "purpose",
"instanceBase": "",
"id": {
"auditData": {
"createdAt": "2000-01-23T04:56:07.000Z",
"archivedAt": "2000-01-23T04:56:07.000Z",
"deletedAt": "2000-01-23T04:56:07.000Z",
"updatedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"createdBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"deletedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"updatedAt": "2000-01-23T04:56:07.000Z"
},
"tenantId": "tenantId",
"entityId": "",
"ownerId": "ownerId"
},
"type": "currency",
"status": "new",
"availableBalance": {
"balanceType": "current",
"name": "name",
"instanceRef": {
"refferTo": ""
},
"value": "value"
}
}
'import requests
url = "https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/status"
payload = {
"instance": "",
"allowedOperations": "",
"purpose": "purpose",
"instanceBase": "",
"id": {
"auditData": {
"createdAt": "2000-01-23T04:56:07.000Z",
"archivedAt": "2000-01-23T04:56:07.000Z",
"deletedAt": "2000-01-23T04:56:07.000Z",
"updatedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"createdBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"deletedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"updatedAt": "2000-01-23T04:56:07.000Z"
},
"tenantId": "tenantId",
"entityId": "",
"ownerId": "ownerId"
},
"type": "currency",
"status": "new",
"availableBalance": {
"balanceType": "current",
"name": "name",
"instanceRef": { "refferTo": "" },
"value": "value"
}
}
headers = {
"tenantId": "<tenantid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
tenantId: '<tenantid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
instance: '',
allowedOperations: '',
purpose: 'purpose',
instanceBase: '',
id: {
auditData: {
createdAt: '2000-01-23T04:56:07.000Z',
archivedAt: '2000-01-23T04:56:07.000Z',
deletedAt: '2000-01-23T04:56:07.000Z',
updatedBy: '046b6c7f-0b8a-43b9-b35d-6489e6daee91',
createdBy: '046b6c7f-0b8a-43b9-b35d-6489e6daee91',
deletedBy: '046b6c7f-0b8a-43b9-b35d-6489e6daee91',
updatedAt: '2000-01-23T04:56:07.000Z'
},
tenantId: 'tenantId',
entityId: '',
ownerId: 'ownerId'
},
type: 'currency',
status: 'new',
availableBalance: {
balanceType: 'current',
name: 'name',
instanceRef: {refferTo: ''},
value: 'value'
}
})
};
fetch('https://gateway.varchev.com/wallet/{walletId}/asset/{assetId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"walletId": "walletId",
"assets": {
"instance": "",
"allowedOperations": "",
"purpose": "purpose",
"instanceBase": "",
"id": {
"auditData": {
"createdAt": "2000-01-23T04:56:07.000Z",
"archivedAt": "2000-01-23T04:56:07.000Z",
"deletedAt": "2000-01-23T04:56:07.000Z",
"updatedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"createdBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"deletedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
"updatedAt": "2000-01-23T04:56:07.000Z"
},
"tenantId": "tenantId",
"entityId": "",
"ownerId": "ownerId"
},
"type": "currency",
"status": "new",
"availableBalance": {
"balanceType": "current",
"name": "name",
"instanceRef": {
"refferTo": ""
},
"value": "value"
}
},
"tenantId": "tenantId"
}{
"httpCode": 123,
"internalCode": 123,
"internalType": "<string>",
"severity": "<string>",
"description": "<string>"
}Assets
Update Asset Status
PUT
/
{walletId}
/
asset
/
{assetId}
/
status
Update Asset Status
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Sample Payload
Show child attributes
Show child attributes
Example:
{ "auditData": { "createdAt": "2000-01-23T04:56:07.000Z", "archivedAt": "2000-01-23T04:56:07.000Z", "deletedAt": "2000-01-23T04:56:07.000Z", "updatedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "createdBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "deletedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "updatedAt": "2000-01-23T04:56:07.000Z" }, "tenantId": "tenantId", "entityId": "", "ownerId": "ownerId" }
type of asset that can be storred in the walled
Available options:
currency, cryptocurrency, bank-card, transport-card, id-card, qr-code, linked_account, linked_external_account - Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
wallet status in the asset
Available options:
new, available, pending, sold, verification, verification_denied, on_hold, suspicious, under_investigation, dispute_started, dispute_resolved, sanctioned, black_listed, transferred, close_requested, closed Show child attributes
Show child attributes
Example:
{ "balanceType": "current", "name": "name", "instanceRef": { "refferTo": "" }, "value": "value" }
Show child attributes
Show child attributes
Example:
{ "balanceType": "current", "name": "name", "instanceRef": { "refferTo": "" }, "value": "value" }
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
successful operation
Show child attributes
Show child attributes
Example:
{ "instance": "", "allowedOperations": "", "purpose": "purpose", "instanceBase": "", "id": { "auditData": { "createdAt": "2000-01-23T04:56:07.000Z", "archivedAt": "2000-01-23T04:56:07.000Z", "deletedAt": "2000-01-23T04:56:07.000Z", "updatedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "createdBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "deletedBy": "046b6c7f-0b8a-43b9-b35d-6489e6daee91", "updatedAt": "2000-01-23T04:56:07.000Z" }, "tenantId": "tenantId", "entityId": "", "ownerId": "ownerId" }, "type": "currency", "status": "new", "availableBalance": { "balanceType": "current", "name": "name", "instanceRef": { "refferTo": "" }, "value": "value" } }
⌘I

